## edu.stanford.nlp.maxent
Class DataGeneric

    java.lang.Object
      edu.stanford.nlp.maxent.DataGeneric

Direct Known Subclasses:
  DataWordTag

    public abstract class DataGeneric

extends Object

A class representing a data item with an array of inputs X and a String classification Y

Constructor Summary
`DataGeneric()`

Method Summary
`abstract String` `getY()`
`abstract void` `setX(Object[] x)`
`abstract void` `setY(String y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataGeneric

    public DataGeneric()

Method Detail

### setX

    public abstract void setX(Object[] x)

### getY

    public abstract String getY()

### setY

    public abstract void setY(String y)

Stanford NLP Group